summary refs log tree commit diff
path: root/configure
diff options
context:
space:
mode:
authorJune McEnroe <june@causal.agency>2020-02-11 03:09:51 -0500
committerJune McEnroe <june@causal.agency>2020-02-11 03:09:51 -0500
commit172cd57099e06c8901770542fa61dd3e13d5c832 (patch)
treeeef0ec83fb9dcd26e6f999ffdc383d20017696d6 /configure
parentMerge branch 'rewrite' (diff)
downloadcatgirl-172cd57099e06c8901770542fa61dd3e13d5c832.tar.gz
catgirl-172cd57099e06c8901770542fa61dd3e13d5c832.zip
Use pkg(8) to configure on FreeBSD
Diffstat (limited to 'configure')
-rwxr-xr-xconfigure15
1 files changed, 15 insertions, 0 deletions
diff --git a/configure b/configure
index 90e1173..d230f4c 100755
--- a/configure
+++ b/configure
@@ -1,6 +1,21 @@
 #!/bin/sh
 set -eu
 
+case "$(uname)" in
+	(FreeBSD)
+		if ! pkg info -e libressl; then
+			echo 'LibreSSL required'
+			exit 1
+		fi
+		prefix=$(pkg query '%p' libressl)
+		cat >config.mk <<-EOF
+		CFLAGS += -I${prefix}/include
+		LDFLAGS += -L${prefix}/lib
+		EOF
+		exit
+		;;
+esac
+
 libs='libcrypto libtls ncursesw'
 pkg-config --print-errors $libs
 
ef='/src/commit/bin/scheme.c?id=750f7ec5da7251643684a475b1db73d61ef9dda2&follow=1'>Lighten cursor colorJune McEnroe 2018-03-31Tweak cyan furtherJune McEnroe It's actually green at this point. 2018-03-31Tweak colors in schemeJune McEnroe 2018-03-31Add scheme.png targetJune McEnroe 2018-03-31Generate Terminal.app color schemeJune McEnroe Colors still very much WIP, but coming along. 2018-03-31Generate basic ANSI color schemeJune McEnroe 2018-03-31Add hex output to schemeJune McEnroe 2018-03-31Add color scheme PNG generatorJune McEnroe 2018-03-31Simplify gfxx palette generationJune McEnroe 2018-03-31Switch to HSV for gfxx palette generationJune McEnroe 2018-03-30Generate default palette in gfxxJune McEnroe 2018-03-30Ignore build and cloneJune McEnroe 2018-03-30Set g:clipboard to pb{copy,paste} alwaysJune McEnroe Previously neovim would use these automatically if it found them, but now it only checks for them on macOS. pbd continues to work well. 2018-03-28Add d-_-b crateJune McEnroe